<?php
etc_add_custom_widget(
    array(
        'name' => 'cms_feature_grid',
        'title' => esc_html__('Feature Grid', 'amarou'),
        'icon' => 'eicon-flash',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts' => [
            'imagesloaded',
            'isotope',
            'cms-post-grid-widget-js',
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_list',
                    'label' => esc_html__('Content', 'amarou'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'content_list',
                            'label' => esc_html__('Team List', 'amarou'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'default' => [],
                            'controls' => array(
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__('Title', 'amarou'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'description',
                                    'label' => esc_html__('Description', 'amarou'),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                ),
                                array(
                                    'name' => 'btn_text',
                                    'label' => esc_html__('Button Text', 'amarou' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                ),
                                array(
                                    'name' => 'link',
                                    'label' => esc_html__('Button Link', 'amarou' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                ),
                            ),
                            'title_field' => '{{{ title }}}',
                        ),
                    ),
                ),
                array(
                    'name' => 'grid_section',
                    'label' => esc_html__('Grid', 'amarou' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'col_xs',
                            'label' => esc_html__('Columns XS Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '1',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_sm',
                            'label' => esc_html__('Columns SM Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '2',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_md',
                            'label' => esc_html__('Columns MD Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_lg',
                            'label' => esc_html__('Columns LG Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_xl',
                            'label' => esc_html__('Columns XL Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);