<?php
etc_add_custom_widget(
    array(
        'name' => 'cms_gallery_grid',
        'title' => esc_html__('Gallery Grid', 'amarou'),
        'icon' => 'eicon-image',
        'categories' => array(Elementor_Theme_Core::ETC_CATEGORY_NAME),
        'scripts' => [
            'imagesloaded',
            'isotope',
            'cms-post-grid-widget-js',
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'content_section',
                    'label' => esc_html__('Content', 'amarou'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'image',
                            'label' => esc_html__('Image', 'amarou'),
                            'type' => \Elementor\Controls_Manager::GALLERY,
                            'label_block' => true,
                        ),
                    ),
                ),
                array(
                    'name' => 'grid_section',
                    'label' => esc_html__('Grid', 'amarou' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'size_list',
                            'label' => esc_html__('Image Size List', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'description' => 'Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height). Enter multiple sizes (Example: 100x100,200x200,300x300)).',
                        ),
                        array(
                            'name' => 'col_xs',
                            'label' => esc_html__('Columns XS Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '1',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_sm',
                            'label' => esc_html__('Columns SM Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '2',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_md',
                            'label' => esc_html__('Columns MD Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_lg',
                            'label' => esc_html__('Columns LG Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_xl',
                            'label' => esc_html__('Columns XL Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);