<?php
// Post term options
$post_term_options = etc_get_grid_term_options('portfolio');

// Register Post Grid Widget
etc_add_custom_widget(
    array(
        'name' => 'cms_portfolio_grid',
        'title' => esc_html__('Portfolio Grid', 'amarou' ),
        'icon' => 'eicon-posts-justified',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts' => [
            'imagesloaded',
            'isotope',
            'cms-post-grid-widget-js',
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'amarou' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'amarou' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'amarou' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_portfolio_grid/layout-image/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'amarou' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_portfolio_grid/layout-image/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'amarou' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_portfolio_grid/layout-image/layout3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'amarou' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_portfolio_grid/layout-image/layout4.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'source_section',
                    'label' => esc_html__('Source', 'amarou' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'source',
                            'label' => esc_html__('Select Categories', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT2,
                            'multiple' => true,
                            'options' => $post_term_options,
                        ),
                        array(
                            'name' => 'orderby',
                            'label' => esc_html__('Order By', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'date',
                            'options' => [
                                'date' => esc_html__('Date', 'amarou' ),
                                'ID' => esc_html__('ID', 'amarou' ),
                                'author' => esc_html__('Author', 'amarou' ),
                                'title' => esc_html__('Title', 'amarou' ),
                                'rand' => esc_html__('Random', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'order',
                            'label' => esc_html__('Sort Order', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'desc',
                            'options' => [
                                'desc' => esc_html__('Descending', 'amarou' ),
                                'asc' => esc_html__('Ascending', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'limit',
                            'label' => esc_html__('Total items', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'default' => '6',
                        ),
                    ),
                ),
                array(
                    'name' => 'grid_section',
                    'label' => esc_html__('Grid', 'amarou' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'thumbnail',
                            'type' => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default' => 'custom',
                        ),
                        array(
                            'name' => 'gutter',
                            'label' => esc_html__('Item Space', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'default-space',
                            'options' => [
                                'default-space' => esc_html__('Default', 'amarou' ),
                                'no-space' => esc_html__('No Space', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'filter',
                            'label' => esc_html__('Filter on Masonry', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'false',
                            'options' => [
                                'true' => esc_html__('Enable', 'amarou' ),
                                'false' => esc_html__('Disable', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'filter_default_title',
                            'label' => esc_html__('Filter Default Title', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('All', 'amarou' ),
                            'condition' => [
                                'filter' => 'true',
                            ],
                        ),
                        array(
                            'name' => 'filter_alignment',
                            'label' => esc_html__('Filter Alignment', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'center',
                            'options' => [
                                'center' => esc_html__('Center', 'amarou' ),
                                'left' => esc_html__('Left', 'amarou' ),
                                'right' => esc_html__('Right', 'amarou' ),
                            ],
                            'condition' => [
                                'filter' => 'true',
                            ],
                        ),
                        array(
                            'name' => 'pagination_type',
                            'label' => esc_html__('Pagination Type', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'false',
                            'options' => [
                                'pagination' => esc_html__('Pagination', 'amarou' ),
                                'loadmore' => esc_html__('Loadmore', 'amarou' ),
                                'false' => esc_html__('Disable', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'load_style',
                            'label' => esc_html__('Load More Style', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'text' => 'Text',
                                'outline' => 'Outline',
                            ],
                            'default' => 'text',
                            'condition' => [
                                'pagination_type' => 'loadmore',
                            ],
                        ),
                        array(
                            'name' => 'col_xs',
                            'label' => esc_html__('Columns XS Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '1',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_sm',
                            'label' => esc_html__('Columns SM Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '2',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_md',
                            'label' => esc_html__('Columns MD Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_lg',
                            'label' => esc_html__('Columns LG Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                        array(
                            'name' => 'col_xl',
                            'label' => esc_html__('Columns XL Devices', 'amarou' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => '4',
                            'options' => [
                                '1' => esc_html__('1', 'amarou' ),
                                '2' => esc_html__('2', 'amarou' ),
                                '3' => esc_html__('3', 'amarou' ),
                                '4' => esc_html__('4', 'amarou' ),
                                '6' => esc_html__('6', 'amarou' ),
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);