<?php
$default_settings = [
    'title_text' => '',
    'description_text' => '',
    'logo' => '',
    'link' => '',
    'social' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$html_id = etc_get_element_id($settings); 
$img = etc_get_image_by_size( array(
    'attach_id'  => $logo['id'],
    'thumb_size' => 'full',
    'class'      => '',
));
$thumbnail = $img['thumbnail'];
if ( ! empty( $link['url'] ) ) {
    $widget->add_render_attribute( 'link', 'href', $link['url'] );

    if ( $link['is_external'] ) {
        $widget->add_render_attribute( 'link', 'target', '_blank' );
    }

    if ( $link['nofollow'] ) {
        $widget->add_render_attribute( 'link', 'rel', 'nofollow' );
    }
}
$link_attributes = $widget->get_render_attribute_string( 'link' );
?>

<div id="<?php echo esc_attr($html_id); ?>" class="cms-about1">
    <?php if(!empty($logo)) { ?>
        <div class="cms-about-logo">
            <a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php echo wp_kses_post($thumbnail); ?></a>
        </div>
    <?php } ?>
    <div class="cms-about-holder">
        <h5 class="cms-about-title"><?php echo esc_attr($title_text); ?></h5>
        <div class="cms-about-desc"><?php echo esc_attr($description_text); ?></div>
        <div class="cms-about-social">
            <?php if(!empty($social)):
                $team_social = json_decode($social, true);
                foreach ($team_social as $value): ?>
                    <a href="<?php echo esc_url($value['url']); ?>"><i class="<?php echo esc_attr($value['icon']); ?>"></i></a>
                <?php endforeach;
            endif; ?>
        </div>
    </div>
</div>