<?php
$default_settings = [
    'selected_icon' => '',
    'description_text' => '',
    'image' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$has_icon = ! empty( $selected_icon );
if ( $has_icon ) {
    $widget->add_render_attribute( 'i', 'class', $selected_icon );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}
?>
<div class="cms-banner-box-layout2">
    <?php if(!empty($image['id'])) : 
        $img  = etc_get_image_by_size( array(
            'attach_id'  => $image['id'],
            'thumb_size' => '585x458',
        ) );
        $thumbnail    = $img['thumbnail'];
        ?>
        <div class="cms-banner-box-image">
            <?php echo wp_kses_post($thumbnail); ?>
        </div>
    <?php endif; ?>
    <div class="cms-banner-box-holder">
        <?php if ( $has_icon ) : ?>
            <div class="item--icon">
                <?php if($is_new):
                    \Elementor\Icons_Manager::render_icon( $selected_icon, [ 'aria-hidden' => 'true' ] );
                    else: ?>
                    <i <?php ct_print_html($widget->get_render_attribute_string( 'i' )); ?>></i>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        <div class="item--desc"><?php echo esc_attr($description_text); ?></div>
    </div>
</div>