<?php
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-carousel-inner',
] );
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => false,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-slidesToShow' => 1,
    'data-slidesToShowTablet' => 1,
    'data-slidesToShowMobile' => 1,
    'data-slidesToScroll' => 1,
    'data-slidesToScrollTablet' => 1,
    'data-slidesToScrollMobile' => 1,
] ); 
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<div class="cms-banner-counter-wrap">
    <?php if(!empty($settings['image'])) : 
    $img = etc_get_image_by_size( array(
        'attach_id'  => $settings['image']['id'],
        'thumb_size' => 'full',
        'class'      => '',
    ));
    $thumbnail = $img['thumbnail']; ?>
        <div class="cms-banner-image">
            <?php echo wp_kses_post($thumbnail); ?>
        </div>
    <?php endif; ?>
    <?php if(isset($settings['banner_text']) && !empty($settings['banner_text']) && count($settings['banner_text'])): ?>
        <div class="cms-banner-counter-carousel1 cms-slick-slider">
            <div <?php etc_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
                <div <?php etc_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                    <?php foreach ($settings['banner_text'] as $key => $value):
                        $icon_key = $widget->get_repeater_setting_key( 'cms_icon', 'icons', $key );
                        $has_icon = ! empty( $value['cms_icon'] );
                        $widget->add_render_attribute( $icon_key, [
                            'class' => $value['cms_icon'],
                            'aria-hidden' => 'true',
                        ] );
                        ?>
                        <div class="slick-slide">
                            <div class="banner-counter-inner">
                                <div class="banner-counter-icon">
                                    <?php
                                        if($is_new):
                                            \Elementor\Icons_Manager::render_icon( $value['cms_icon'], [ 'aria-hidden' => 'true' ] );
                                    ?>
                                    <?php else: ?>
                                        <i <?php cms_print_html($widget->get_render_attribute_string( $icon_key )); ?>></i>
                                    <?php endif; ?>
                                </div>
                                <div class="banner-counter-number"><?php echo esc_attr($value['number']); ?></div>
                                <h3 class="banner-counter-title"><?php echo esc_attr($value['title']); ?></h3>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
</div>