<?php
$default_settings = [
    'contact_info' => '',
    'time_info' => '',
    'info_title' => '',
    'time_title' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$has_icon = ! empty( $settings['cms_icon'] );
if ( $has_icon ) {
    $widget->add_render_attribute( 'i', 'class', $settings['cms_icon'] );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}
$icon_tag = 'span';
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<?php if(isset($settings['contact_info']) && !empty($settings['contact_info']) && count($settings['contact_info'])): ?>
<div class="cms-contact-wrap">
    <span class="cms-contact-close"><i class="zmdi zmdi-close"></i></span>
    <h4 class="cms-contact-title"><?php echo esc_attr($info_title); ?></h4>
    <ul class="cms-contact-info3">
        <?php
        	foreach ($settings['contact_info'] as $key => $ct_info):
        		$icon_key = $widget->get_repeater_setting_key( 'cms_icon', 'contact_info', $key );

        		$has_icon = ! empty( $ct_info['cms_icon'] );
        		$widget->add_render_attribute( $icon_key, [
	                'class' => $ct_info['cms_icon'],
	                'aria-hidden' => 'true',
	            ] );
			?>
            <li>
            	<?php if ( $has_icon ) : ?>
			        <span class="cms-icon">
		                <?php
		                    if($is_new):
		                        \Elementor\Icons_Manager::render_icon( $ct_info['cms_icon'], [ 'aria-hidden' => 'true' ] );
		                ?>
		                <?php else: ?>
		                    <i <?php etc_print_html($widget->get_render_attribute_string( $icon_key )); ?>></i>
		                <?php endif; ?>
			        </span>
			    <?php endif; ?>
            	<?php echo esc_html($ct_info['content'])?>
           </li>
        <?php endforeach; ?>
    </ul>
    <h4 class="cms-contact-title"><?php echo esc_attr($time_title); ?></h4>
    <ul class="cms-contact-time">
        <?php
            foreach ($settings['time_info'] as $key => $time_info): ?>
            <li>
                <label><?php echo esc_attr($time_info['label'])?></label>
                <span><?php echo esc_html($time_info['content'])?></span>
           </li>
        <?php endforeach; ?>
    </ul>
</div>
<?php endif; ?>
