<?php
$widget->add_render_attribute( 'description_text', 'class', 'item--description' );

$widget->add_inline_editing_attributes( 'title_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );

if ( ! empty( $settings['btn_link']['url'] ) ) {
    $widget->add_render_attribute( 'btn_link', 'href', $settings['btn_link']['url'] );

    if ( $settings['btn_link']['is_external'] ) {
        $widget->add_render_attribute( 'btn_link', 'target', '_blank' );
    }

    if ( $settings['btn_link']['nofollow'] ) {
        $widget->add_render_attribute( 'btn_link', 'rel', 'nofollow' );
    }
}
$link_attributes = $widget->get_render_attribute_string( 'btn_link' );

?>
<div class="cms-feature-layout2">
    <?php if(!empty($settings['title_text'])) : ?>
        <h3 class="item--title">
            <?php echo esc_html($settings['title_text']); ?>
        </h3>
    <?php endif; ?>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description_text' )); ?>><?php echo esc_html($settings['description_text']); ?></div>
    <?php if ( ! empty( $settings['btn_link']['url'] ) ) : ?>
        <div class="cms-feature-button">
            <a <?php echo implode( ' ', [ $link_attributes ] ); ?> class="btn-more">
                <i class="fac fac-arrow-right space-left"></i>
            </a>
        </div>
    <?php endif; ?>
</div>