<?php
$default_settings = [
    'col_xl' => '4',
    'col_lg' => '4',
    'col_md' => '3',
    'col_sm' => '2',
    'col_xs' => '1',
    'size_list' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$col_xl = 12 / intval($col_xl);
$col_lg = 12 / intval($col_lg);
$col_md = 12 / intval($col_md);
$col_sm = 12 / intval($col_sm);
$col_xs = 12 / intval($col_xs);
$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$item_class = "grid-item col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$img_size = 'full';
if(!empty($size_list)) {
    $sizes = explode(',',$size_list);
    $i = 0;
}
?>
<div class="cms-grid cms-gallery-grid1">
    <div class="cms-grid-inner cms-grid-masonry row" data-gutter="15">
        <?php foreach ($settings['image'] as $value): 
            if(!empty($size_list)) {
                $img_size = end($sizes);
                if(!empty($sizes[$i])){
                    $img_size = $sizes[$i];
                }
            }
            $img = etc_get_image_by_size( array(
                'attach_id'  => $value['id'],
                'thumb_size' => $img_size,
            ));
            $thumbnail = $img['thumbnail']; ?>
            <div class="<?php echo esc_attr($item_class); ?>">
                <a href="<?php echo esc_url($value['url']); ?>"><?php echo wp_kses_post($thumbnail); ?></a>
            </div>
            <?php if(!empty($size_list)) { $i++; } ?>
        <?php endforeach; ?>
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
    </div>
</div>
