<?php
$default_settings = [
    'portfolio_list' => '',
    'btn_text' => '',
    'btn_link' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
if ( ! empty( $btn_link['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $btn_link['url'] );

    if ( $btn_link['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $btn_link['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}

$widget->add_render_attribute( 'button', 'class', '' );
?>
<?php if(isset($portfolio_list) && !empty($portfolio_list) && count($portfolio_list)): ?>
    <div class="cms-portfolio-details">
        <?php
        	foreach ($portfolio_list as $key => $portfolio): ?>
            <div class="item--details">
            	<div class="item--label"><?php echo esc_attr($portfolio['label'])?></div>
            	<?php if($portfolio['content_type'] == 'text') { ?>
            		<div class="item--content"><?php echo esc_html($portfolio['content'])?></div>
            	<?php } elseif($portfolio['content_type'] == 'category') { ?>
            		<div class="item--content">
            			<?php the_terms( get_the_ID(), 'portfolio-category', '', ', ' ); ?>
            		</div>
            	<?php } else { ?>
            		<div class="item--content">
            			<?php echo get_the_date(); ?>
            		</div>
            	<?php } ?>
           </div>
        <?php endforeach; ?>
        <?php if(!empty($btn_text)) : ?>
            <div class="item--button">
                <a class="btn" <?php etc_print_html($widget->get_render_attribute_string( 'button' )); ?>><i class="fac fac-arrow-circle-right space-right"></i><?php echo esc_attr($btn_text); ?></a>
            </div>
        <?php endif; ?>
    </div>
    
<?php endif; ?>
