<?php
$default_settings = [
    'title' => '',
    'price' => '',
    'time' => '',
    'button_text' => '',
    'button_link' => '',
    'content_list' => '',
    'style' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
if ( ! empty( $button_link['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $button_link['url'] );

    if ( $button_link['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $button_link['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="cms-pricing-layout1 <?php echo esc_attr($style); ?>">
    <div class="pricing-title">
        <span><?php echo esc_attr($title); ?></span>
    </div>

    <?php if(isset($settings['content_list']) && !empty($settings['content_list']) && count($settings['content_list'])): ?>
        <div class="cms-pricing-feature">
            <ul>
                <?php
                    foreach ($settings['content_list'] as $key => $cms_list): ?>
                    <li><i class="fa fa-check"></i><?php echo esc_html($cms_list['content'])?></li>
                <?php endforeach; ?>
            </ul>
        </div>
    <?php endif; ?>

	<div class="pricing-holder">
        <div class="pricing-meta">
            <div class="pricing-price"><?php echo esc_attr($price); ?></div>
            <div class="pricing-time"><?php echo esc_attr($time); ?></div>
        </div>
        <div class="pricing-button">
            <a class="btn btn-white2" <?php etc_print_html($widget->get_render_attribute_string( 'button' )); ?>><i class="fac fac-arrow-circle-right"></i><?php echo esc_attr($button_text); ?></a>
        </div>
    </div>

</div>