<?php
$default_settings = [
    'process' => '',
    'column' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$has_icon = ! empty( $settings['cms_process'] );
if ( $has_icon ) {
    $widget->add_render_attribute( 'i', 'class', $settings['cms_process'] );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<?php if(isset($process) && !empty($process) && count($process)): ?>
    <div class="cms-process-wrap process-<?php echo esc_attr($column) ?>-column">
        <?php foreach ($process as $key => $value):
            $icon_key = $widget->get_repeater_setting_key( 'cms_process', 'icons', $key );
            $has_icon = ! empty( $value['cms_process'] );
            $widget->add_render_attribute( $icon_key, [
                'class' => $value['cms_process'],
                'aria-hidden' => 'true',
            ] );
            ?>
            <div class="cms-process-item">
                <div class="cms-process-icon">
                    <?php if ( $has_icon ) : ?>
                        <?php
                            if($is_new):
                                \Elementor\Icons_Manager::render_icon( $value['cms_process'], [ 'aria-hidden' => 'true' ] );
                        ?>
                        <?php else: ?>
                            <i <?php cms_print_html($widget->get_render_attribute_string( $icon_key )); ?>></i>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
                <h4 class="cms-process-title"><?php echo esc_attr($value['title']); ?></h4>
                <div class="cms-process-subtitle"><?php echo esc_attr($value['sb_title']); ?></div>
            </div>
        <?php endforeach; ?>
    </div>
<?php endif; ?>