<?php
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-carousel-inner',
] );

$slides_to_show = $widget->get_setting('slides_to_show', '');
$slides_to_show_tablet = $widget->get_setting('slides_to_show_tablet', '');
$slides_to_show_mobile = $widget->get_setting('slides_to_show_mobile', '');
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$slides_to_scroll_tablet = $widget->get_setting('slides_to_scroll_tablet', '');
$slides_to_scroll_mobile = $widget->get_setting('slides_to_scroll_mobile', '');

$slidesToShow = !empty($slides_to_show)?$slides_to_show:3;
$isSingleSlide = 1 === $slidesToShow;
$defaultLGDevicesSlidesCount = $isSingleSlide ? 1 : 2;
$slidesToShowTablet = !empty($slides_to_show_tablet)?$slides_to_show_tablet:$defaultLGDevicesSlidesCount;
$slidesToShowMobile = !empty($slides_to_show_mobile)?$slides_to_show_mobile:1;
if($isSingleSlide){
    $slidesToScroll = 1;
}
else{
    $slidesToScroll = !empty($slides_to_scroll)?$slides_to_scroll:$defaultLGDevicesSlidesCount;
}
$slidesToScrollTablet = !empty($slides_to_scroll_tablet)?$slides_to_scroll_tablet:$defaultLGDevicesSlidesCount;
$slidesToScrollMobile = !empty($slides_to_scroll_mobile)?$slides_to_scroll_mobile:1;

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => $arrows,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-slidesToShow' => $slidesToShow,
    'data-slidesToShowTablet' => $slidesToShowTablet,
    'data-slidesToShowMobile' => $slidesToShowMobile,
    'data-slidesToScroll' => $slidesToScroll,
    'data-slidesToScrollTablet' => $slidesToScrollTablet,
    'data-slidesToScrollMobile' => $slidesToScrollMobile,
] );
?>
<?php if(isset($settings['testimonial']) && !empty($settings['testimonial']) && count($settings['testimonial'])): ?>
    <div class="cms-testimonial-carousel2 cms-slick-slider">
        <div class="testimonial-shape"></div>
        <div <?php etc_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php foreach ($settings['testimonial'] as $value): 
                    $img = etc_get_image_by_size( array(
                        'attach_id'  => $value['image']['id'],
                        'thumb_size' => '100x100',
                        'class'      => '',
                    ));
                    $thumbnail = $img['thumbnail'];
                    ?>
                        <div class="slick-slide">
                            <div class="testimonial-inner">
                                <svg xmlns="http://www.w3.org/2000/svg" width="170.031" height="121" viewBox="0 0 170.031 121"><path d="M397.262,4028.18h0c1.571,21.91,17.259,37.81,37.3,37.81,20.569,0,37.057-17.09,37.06-38.05,0-20.22-15.33-36.76-34.9-37.91-0.339-3.72-.083-13.86,9.46-27.98a2.724,2.724,0,0,0-.305-3.42c-3.889-3.96-6.3-6.46-7.985-8.21-2.221-2.31-3.234-3.36-4.718-4.73a2.593,2.593,0,0,0-3.49-.03C413.06,3960.4,394.593,3990.85,397.262,4028.18Zm95.378,0h0c1.571,21.91,17.259,37.81,37.3,37.81,20.569,0,37.056-17.09,37.06-38.05,0-20.22-15.33-36.76-34.9-37.91-0.338-3.72-.082-13.86,9.461-27.98a2.726,2.726,0,0,0-.305-3.42c-3.889-3.96-6.3-6.46-7.985-8.21-2.221-2.31-3.235-3.36-4.718-4.73a2.593,2.593,0,0,0-3.49-.03C508.438,3960.4,489.971,3990.85,492.64,4028.18Z" transform="translate(-396.969 -3945)"></path></svg>
                                <div class="testimonial-desc"><?php echo esc_attr($value['description']); ?></div>
                                <h3 class="testimonial-title"><?php echo esc_attr($value['title']); ?></h3>
                            </div>
                        </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
