<?php 
$default_settings = [
    'img_type' => 'img',
    'style' => 'style1',
    'image_s2' => '',
    'video_label' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);

if ( ! empty( $settings['image']['url'] ) ) {
    $widget->add_render_attribute( 'image', 'src', $settings['image']['url'] );
    $widget->add_render_attribute( 'image', 'alt', \Elementor\Control_Media::get_image_alt( $settings['image'] ) );
    $widget->add_render_attribute( 'image', 'title', \Elementor\Control_Media::get_image_title( $settings['image'] ) );
}

$image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, 'thumbnail', 'image' );

?>
<div class="cms-video-player <?php echo esc_attr($style); ?>">
    <?php if(!empty($image_s2['id'])) {
        $img_s2  = etc_get_image_by_size( array(
            'attach_id'  => $image_s2['id'],
            'thumb_size' => 'full',
            'class'      => 'img-style2',
        ) );
        $img_thumbnail    = $img_s2['thumbnail'];
        echo wp_kses_post($img_thumbnail); 
    } ?>

    <?php if($style == 'style1') : ?>
        <?php if($img_type == 'bg') { ?>
            <div class="cms-video-bg-image bg-image" style="background-image: url(<?php echo esc_url($settings['image']['url']); ?>);"></div>
        <?php } else { ?>
            <?php if ( ! empty( $settings['image']['url'] ) ) { echo wp_kses_post($image_html); } ?>
        <?php } ?>
        <a class="btn-video" href="<?php echo esc_url($settings['video_link']); ?>">
            <i class="fac fac-play"></i>
        </a>
        <div class="video-overlay"></div>
    <?php endif; ?>

    <?php if($style == 'style2') : ?>
        <?php if ( ! empty( $settings['image']['url'] ) ) { ?>
            <div class="btn-video-image">
                <?php echo wp_kses_post($image_html);  ?>
                <?php if(!empty($settings['video_link'])) : ?>
                    <div class="btn-video-wrap">
                        <a class="btn-video" href="<?php echo esc_url($settings['video_link']); ?>">
                            <i class="fac fac-play"></i>
                        </a>
                    </div>
                <?php endif; ?>    
            </div>
        <?php } ?>
    <?php endif; ?>

    <?php if($style == 'style3') : ?>
        <?php if(!empty($settings['video_link'])) : ?>
            <div class="btn-video-wrap">
                <a class="btn-video" href="<?php echo esc_url($settings['video_link']); ?>">
                    <i class="fac fac-play"></i>
                </a>
                <label><?php echo esc_attr($video_label); ?></label>
            </div>
        <?php endif; ?>  
    <?php endif; ?>
</div>