<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = amarou_get_opt( 'sticky_on', false );
$search_on = amarou_get_opt( 'search_on', false );
$h_btn_on = amarou_get_opt( 'h_btn_on', 'hide' );
$h_btn_text = amarou_get_opt( 'h_btn_text' );
$h_btn_link_type = amarou_get_opt( 'h_btn_link_type', 'page' );
$h_btn_link = amarou_get_opt( 'h_btn_link' );
$h_btn_link_custom = amarou_get_opt( 'h_btn_link_custom' );
$h_btn_target = amarou_get_opt( 'h_btn_target', '_self' );
if($h_btn_link_type == 'page') {
    $h_btn_url = get_permalink($h_btn_link);
} else {
    $h_btn_url = $h_btn_link_custom;
}
$custom_header = amarou_get_page_opt( 'custom_header' );
$h_btn_text_custom = amarou_get_page_opt( 'h_btn_text_custom' );
if($custom_header && !empty($h_btn_text_custom)) {
    $h_btn_text = $h_btn_text_custom;
}

$short_text = amarou_get_opt( 'short_text' );
$phone_label = amarou_get_opt( 'phone_label' );
$phone = amarou_get_opt( 'phone_number' );
$email_label = amarou_get_opt( 'email_label' );
$email = amarou_get_opt( 'email_address' );
$time_label = amarou_get_opt( 'time_label' );
$time = amarou_get_opt( 'time' );
?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout3 <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="site-branding">
                        <?php get_template_part( 'template-parts/header-branding' ); ?>
                    </div>
                    <div class="site-navigation">
                        <nav class="main-navigation">
                            <?php get_template_part( 'template-parts/header-menu' ); ?>
                        </nav>
                    </div>
                    <div class="site-header-right">
                        <?php if($h_btn_on == 'show') : ?>
                            <div class="site-header-item site-header-button">
                                <a class="btn btn-default" href="<?php echo esc_url($h_btn_url); ?>" target="<?php echo esc_attr($h_btn_target); ?>"><?php echo esc_attr($h_btn_text); ?></a>
                            </div>
                        <?php endif; ?>
                        <?php if($search_on) : ?>
                            <div class="site-header-item site-header-search">
                                <span class="h-btn-search"><i class="fac fac-search"></i></span>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>