<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = amarou_get_opt( 'sticky_on', false );
$search_on = amarou_get_opt( 'search_on', false );
$hide_sidebar_icon = amarou_get_opt( 'hide_sidebar_icon', false );
$cart_on = amarou_get_opt( 'cart_on', false );
$h_btn_on = amarou_get_opt( 'h_btn_on', 'hide' );
$h_btn_text = amarou_get_opt( 'h_btn_text' );
$h_btn_link_type = amarou_get_opt( 'h_btn_link_type', 'page' );
$h_btn_link = amarou_get_opt( 'h_btn_link' );
$h_btn_link_custom = amarou_get_opt( 'h_btn_link_custom' );
$h_btn_target = amarou_get_opt( 'h_btn_target', '_self' );
if($h_btn_link_type == 'page') {
    $h_btn_url = get_permalink($h_btn_link);
} else {
    $h_btn_url = $h_btn_link_custom;
}
$short_text = amarou_get_opt( 'short_text' );
$phone_label = amarou_get_opt( 'phone_label' );
$phone = amarou_get_opt( 'phone_number' );
$email_label = amarou_get_opt( 'email_label' );
$email = amarou_get_opt( 'email_address' );
$time_label = amarou_get_opt( 'time_label' );
$time = amarou_get_opt( 'time' );
?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout1 <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div id="site-header-top" class="header-top-layout1">
            <div class="container">
                <div class="row">
                    <div class="header-top-meta">
                        <?php if(!empty($phone_label) || !empty($phone)) : ?>
                            <div class="header-top-item">
                                <i class="fac fac-phone"></i>
                                <label><?php echo esc_attr($phone_label); ?></label>
                                <span><?php echo esc_attr($phone); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($email_label) || !empty($email)) : ?>
                            <div class="header-top-item">
                                <i class="fac fac-envelope"></i>
                                <label><?php echo esc_attr($email_label); ?></label>
                                <span><?php echo esc_attr($email); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($time_label) || !empty($time)) : ?>
                            <div class="header-top-item">
                                <i class="fac fac-clock"></i>
                                <label><?php echo esc_attr($time_label); ?></label>
                                <span><?php echo esc_attr($time); ?></span>
                            </div>
                        <?php endif; ?>
                    </div>
                    <?php if ( has_nav_menu( 'topbar' ) ) : ?>
                        <div class="header-top-menu">
                            <?php wp_nav_menu( array(
                                'theme_location' => 'topbar',
                                'container'  => '',
                                'menu_class' => 'topbar-menu clearfix',
                                'depth' => 1
                            ) ); ?>
                        </div>
                    <?php endif; ?>
                    <div class="header-top-social"><?php amarou_social_header(); ?></div>
                </div>
            </div>
        </div>
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="site-branding">
                        <?php get_template_part( 'template-parts/header-branding' ); ?>
                    </div>
                    <div class="site-navigation">
                        <nav class="main-navigation">
                            <?php get_template_part( 'template-parts/header-menu' ); ?>
                        </nav>
                    </div>
                    <div class="site-header-right">
                        <?php if($search_on) : ?>
                            <div class="site-header-item site-header-search">
                                <span class="h-btn-search"><i class="fac fac-search"></i></span>
                            </div>
                        <?php endif; ?>
                        <?php if($h_btn_on == 'show') : ?>
                            <div class="site-header-item site-header-button">
                                <a class="btn btn-default" href="<?php echo esc_url($h_btn_url); ?>" target="<?php echo esc_attr($h_btn_target); ?>"><?php echo esc_attr($h_btn_text); ?><i class="fac fac-arrow-right ct-arrow-right"></i></a>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>